## org.eclipse.jet.ui.newproject
Class NewProjectInfo

    java.lang.Object
      org.eclipse.jet.ui.newproject.NewProjectInfo

    public final class NewProjectInfo

extends java.lang.Object

Represents information required to create a new JET2 Project

Constructor Summary
`NewProjectInfo()`

Method Summary
`java.lang.String` `getProjectName()` Return the currently set project Name.
`void` `setLocation(java.lang.String location)`
`void` `setOtherInfo(java.lang.String key, java.lang.String xmlContent)`
`void` `setProjectAttribute(java.lang.String attributeName, java.lang.String value)`
`void` `setProjectName(java.lang.String projectName)` Set the projectName.
`java.lang.String` `toXmlString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewProjectInfo

    public NewProjectInfo()

Method Detail

### getProjectName

    public final java.lang.String getProjectName()

  Return the currently set project Name.

  Returns:
    the projectName or `null`

### setProjectName

    public final void setProjectName(java.lang.String projectName)

  Set the projectName.

  Parameters:
    `projectName` - the projectName to set

### toXmlString

    public java.lang.String toXmlString()

### setOtherInfo

    public void setOtherInfo(java.lang.String key,
                             java.lang.String xmlContent)

### setLocation

    public void setLocation(java.lang.String location)

### setProjectAttribute

    public void setProjectAttribute(java.lang.String attributeName,
                                    java.lang.String value)

Copyright 2006 IBM Corporation and others. All Rights Reserved.